<!DOCTYPE html>
<html>

<head>
<title>Frontend</title>
<link rel="stylesheet" href="resources/css/bootstrap.css"
	type="text/css" />
<link rel="stylesheet" href="resources/css/style.css" type="text/css" />
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script type="text/javascript" src="resources/js/bootstrap.js"></script>


</head>
<body>


	<div class="container">
		<div class="row">
			<h2 class="title">Administración de permisos</h2>
		</div>
		<div class="row">
			<div class="col-6">
				<table id="myTable" class="table table-bordered table-striped">
					<thead>
						<tr>
							<th scope="col">Nombre de Usuario</th>
							<th scope="col" id="details"></th>
						</tr>
					</thead>
					<tbody>
						<tr>

						</tr>
					</tbody>
				</table>

			</div>
			<div class="col-1"></div>
			<div class="col-5">
				<div class="card">
					<div class="card-body">
						<h5 class="form-title">Permisos por usuario</h5>

						<form id="from-usuario">
							<div class="form-group">
								<label for="nombre">Nombre</label> <input type="text"
									id="nombre" name="nombre" class="form-control" />
							</div>
							<div class="form-group">
								<label for="rol">Rol de usuario</label> <select id="rol"
									name="rol" class="form-control">
									<option value="Administrador">Administrador</option>
									<option value="Editor">Editor</option>
									<option value="Visitante">Visitante</option>
								</select>
							</div>

							<div class="form-group form-check">
								<input type="checkbox" class="form-check-input cheque"
									id="ingresar" value="ingresar" /> <label
									class="form-check-label" for="ingresar">Ingresar</label>
							</div>
							<div class="form-group form-check">
								<input type="checkbox" class="form-check-input cheque"
									id="editar" value="editar"></input> <label
									class="form-check-label" for="editar">Editar</label>
							</div>
							<div class="form-group form-check">
								<input type="checkbox" class="form-check-input cheque"
									id="consultar" value="consultar"></input> <label
									class="form-check-label" for="consultar">Consultar</label>
							</div>
							<div class="form-group form-check">
								<input type="checkbox" class="form-check-input cheque"
									id="eliminar" value="eliminar"></input> <label
									class="form-check-label" for="eliminar">Eliminar</label>
							</div>


							<input type="button" class="botones btn btn-success"
								onclick="doTheInsert()" value="Registrar" />
						</form>
					</div>
				</div>
			</div>
		</div>




	</div>

	<!-- The Modal -->
	<div class="modal fade" id="myModal">
		<div class="modal-dialog">
			<div class="modal-content">

				<!-- Modal Header -->
				<div class="modal-header">
					<h5 class="form-title">Detalles de usuario</h5>
					<button type="button" class="close" data-dismiss="modal">&times;</button>
				</div>

				<!-- Modal body -->
				<div class="modal-body">


					<form id="from-info">
						<div class="form-group">
							<input type="text" id="nombre2" class="otro form-control"
								placeholder="Nombre" />
						</div>

						<div class="form-group">
							<input type="text" id="usuario2" class="otro form-control"
								placeholder="Código de usuario" />
						</div>

						<div class="form-group">
							<select id="rol2" class="form-control">
								<option class="disabled">Rol de Usuario</option>
								<option>Administrador</option>
								<option>Editor</option>
								<option>Visitante</option>
							</select>
						</div>

						<div class="form-group">
							<input type="date" id="fecha" class="form-control"
								placeholder="Fecha de inicio" />
						</div>


						<label>Permisos</label>
						<div class="form-group form-check">
							<input type="checkbox" class="form-check-input" id="ingresar2" />
							<label class="form-check-label" for="ingresar2">Ingresar</label>
						</div>
						<div class="form-group form-check">
							<input type="checkbox" class="form-check-input" id="editar2" />
							<label class="form-check-label" for="editar">Editar</label>
						</div>
						<div class="form-group form-check">
							<input type="checkbox" class="form-check-input" id="consultar2" />
							<label class="form-check-label" for="consultar">Consultar</label>
						</div>
						<div class="form-group form-check">
							<input type="checkbox" class="form-check-input" id="eliminar2" />
							<label class="form-check-label" for="eliminar">Eliminar</label>
						</div>
						<div class="boton form-group">
							<button type="submit" id="b-eliminar"
								class="botones btn btn-danger">Eliminar</button>
							<button type="submit" id="b-editar"
								class="botones btn btn-primary">Editar</button>
						</div>
					</form>
				</div>

			</div>
		</div>
	</div>
	<script type='text/javascript'>
    
	var lista = [];
    
    console.log("DFd"+nombre+rol+ingresar);
	
	 function doTheInsert() {
		 // elementos del formulario
		 var nombre =  document.getElementById ("nombre").value;
         var rol = document.getElementById ("rol").value;
		 var cheque = document.getElementsByClassName ("cheque");
		 var ingresar = document.getElementById ("ingresar");
         var editar =   document.getElementById ("editar");
         var consultar = document.getElementById ("consultar");
         var eliminar =  document.getElementById ("eliminar");
         var checkBox = {ingresar,editar,consultar,eliminar};

                // el link de detalles para abrir modal
         var link = document.createElement("a");
         link.setAttribute("href", "#myModal");
         link.setAttribute("data-toggle", "modal");
         link.className = "detall";
         link.id="detalleId";
         var linkText = document.createTextNode("Detalles");
         link.appendChild(linkText);
  
		 // Los objetos que se agregaran para agregar a la tabla
		 var objeto={nombre,rol};
		 lista.push(objeto);

		 // Para crear la tabla
         var table = document.getElementById('myTable');
         var newRow = table.insertRow(-1);
         var newCell1 = newRow.insertCell(0);
         var newCell2 = newRow.insertCell(1);
         newCell2.appendChild(link)

         //para cargar los nombres de usuario a la tabla
         for(i=0;i<lista.length;i++)
             {
             newCell1.innerHTML = lista [i].nombre;
             }
         
 
     }
	   
  </script>
</body>
</html>

